org.freeplane.core.util

## Class MenuUtils.MenuEntry

- java.lang.Object
- - org.freeplane.core.util.MenuUtils.MenuEntry

- Enclosing class:
    MenuUtils

      public static class MenuUtils.MenuEntry
      extends java.lang.Object

  The userObject type for createMenuEntryTree().

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MenuEntry(java.lang.String key, java.lang.String label)`
    `MenuEntry(java.lang.String key, java.lang.String label, java.lang.String iconKey, javax.swing.KeyStroke keyStroke, java.lang.String toolTipText)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.freeplane.features.icon.MindIcon` | `createMindIcon()`
    `java.lang.String` | `getIconKey()`
    `java.lang.String` | `getKey()`
    `javax.swing.KeyStroke` | `getKeyStroke()`
    `java.lang.String` | `getLabel()`
    `java.lang.String` | `getToolTipText()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MenuEntry

          public MenuEntry(java.lang.String key,
                           java.lang.String label,
                           java.lang.String iconKey,
                           javax.swing.KeyStroke keyStroke,
                           java.lang.String toolTipText)

    - #### MenuEntry

          public MenuEntry(java.lang.String key,
                           java.lang.String label)

  - ### Method Detail

    - #### getKey

          public java.lang.String getKey()

    - #### getLabel

          public java.lang.String getLabel()

    - #### getIconKey

          public java.lang.String getIconKey()

    - #### getKeyStroke

          public javax.swing.KeyStroke getKeyStroke()

    - #### getToolTipText

          public java.lang.String getToolTipText()

    - #### createMindIcon

          public org.freeplane.features.icon.MindIcon createMindIcon()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`